Subject: Re: Bug? Kernels 2.6.2x drops TCP packets over wireless (independent of card used)

From: Eric Dumazet <[email-masked]>
Date: Thu, 07 Feb 2008 17:30:22 +0100

Marcin Koziej a écrit :
>> hmm, i think, the site is broken (193.219.28.140), and not the card or
>> the driver is wrong. when it does, then other sites are auch
>> reproductable ..
>>
>> /* is use auch madwifi-0.9.3.3, but it think, it is not driver problem */
>>     
>
> Unfortunately, this is not the case :(  This happens to all TCP connections, inside and outside LAN,
> also with the telnet session with the router. I also tried to manipulate MTU, but without any positive effect.
> I also tried to change things like net.ipv4.tcp_congestion_control -- which i figured out might affect TCP traffic, but also didn't get any results.
> I'm afraid this can have something to do with IRQ, because the PCMCIA cards (my Atheros wireless card is such) are visible only with irqpoll kernel option.
>
> Of course, as I mentioned, everything works fine with kernel 2.6.19; with the same servers etc.
>
>   
Very strange, as the tcpdump you gave shows that the remote peer only 
sent "220-\r\n"

This was ACKed, and then nothing but timeout. We can conclude remote 
peer is *very* slow or a firewall is blocking trafic after 6 bytes sent :)

Could you give a tcpdump for the same destination, on 2.6.19 this time ?